[General]
# Show a greeting message that briefly explains the game to players who join
# the world the first time.
hades_greeting (Show greeting message) bool true

# If enabled, new players will receive a pack of starter items.
# HINT: If you have nothing, hunt some mutants. They'll appear on volcanic
# ash and drop apples and pickaxes when they die.
give_initial_stuff (Give starter items) bool true

# If enabled, dead players will get a message that says how they died.
hades_show_death_messages (Show cause of death) bool true

# If enabled, the item identifier of the wielded item will be shown in HUD.
show_wielded_item_itemname (Show itemstring in HUD) bool false

# Time in seconds after which bones of a deceased player become 'old',
# meaning they can be looted and dug by anyone.
# Setting this to 0 means this will never happen.
share_bones_time (Bones share time) int 1200 0

[Mobs]
# If false, then mobs no longer spawn in world without a spawner or spawn egg.
# CAREFUL! Without mobs, you can get stuck if you lost everything.
# The only way to get pickaxes and apples naturally is by killing mutants.
# This setting is only read at startup.
mobs_spawn (Spawn mobs) bool true

# If enabled, then hostile mobs won't spawn in world.
# This setting is only read at startup.
only_peaceful_mobs (Only spawn peaceful mobs) bool false

# If disabled, then mobs won't destroy or place blocks in the world.
# This setting is only read at startup.
mobs_griefing (Griefing mobs) bool true

# If false, then mobs no longer spawn inside player-protected areas.
# This setting is only read at startup.
mobs_spawn_protected (Spawn mobs in protected areas) bool true

# If false, then monsters no longer spawn inside player-protected areas.
# This setting is only read at startup.
mobs_spawn_monster_protected (Spawn Monsters in protected areas) bool true

# If true, mobs will be removed once a map chunk is out of view.
# This setting is only read at startup.
remove_far_mobs (Remove far-away mobs) bool true

# Sets mob difficulty level by multiplying punch damage.
# This setting is only read at startup.
mob_difficulty (Mob difficulty) float 1.0 0.0

# Used to multiply the mob spawn probability.
# The lower this value, the higher the chance that a mob will spawn.
# 0 = maximum chance.
# This setting is only read at startup.
mob_chance_multiplier (Mob spawn chance multiplier) float 1.0 0.0

# If enabled, mobs drop items when they die.
# This setting is only read at startup.
mobs_drop_items (Mobs drop items) bool true

# Distance around player within mobs cannot spawn.
# This setting is only read at startup.
mob_nospawn_range (Mob no-spawn range) float 12.0 0.0

# Maximum number of active mobs in the world (0 for unlimited).
# This setting is only read at startup.
mob_active_limit (Active mobs limit) int 0 0

# Enable setting so that Mobs Redo mobs can attack Creatura mobs
mobs_attack_creatura (Attack Creatura Mobs) bool false

# How often mobs get nodes around them (default is 0.25, 1/4 second)
mob_node_timer_interval (Mob Node Timer Interval) float 0.25

# How often mobs run main functions (default is 1.00, 1 second)
mob_main_timer_interval (Mob Node Timer Interval) float 1.00

# Enables area check when spawning mobs
mob_area_spawn (Mob Area Spawn) bool false

# Enable smooth rotation of mobs
mob_smooth_rotate (Smooth rotation for mobs) bool true

# Fix mob height if too low so they cannot escape through specific nodes
mob_height_fix (Fix Mob Height) bool false

# Write the spawning of mobs into the log
mob_log_spawn (Log Mob Spawning) bool false

[*Pathfinding]
# Enable pathfinding (default Enabled)
mob_pathfinding_enable (Enable pathfinding) bool true

# How long before a stuck mob starts to search (default 3.0)
mob_pathfinding_stuck_timeout (How long before stuck mobs start searching) float 3.0

# How long will mob follow path before giving up (default 5.0)
mob_pathfinding_stuck_path_timeout (How long will mob follow path before giving up) float 5.0

# Which pathfinding algorithm to use:
# - Dijkstra (default)
# - A*_noprefetch (AStar_noprefetch)
# - A* (AStar)
mob_pathfinding_algorithm (pathfinding algorithm) enum Dijkstra Dijkstra,AStar_noprefetch,AStar

# Maximum search distance from search positions (default 16)
mob_pathfinding_searchdistance (Path search distance) int 16

# Maximum jump height for pathfinding (default 4)
mob_pathfinding_max_jump (Path max. jump height) int 4

# Maximum drop height for pathfinding (default 6)
mob_pathfinding_max_drop (Path max. drop height) int 6
